package cn.iocoder.yudao.module.asset.enums.inspection;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 验车结果枚举
 *
 * @author 芋道源码
 */
@Getter
@AllArgsConstructor
public enum InspectionResultEnum {

    PASS(1, "通过"),
    FAIL(2, "不通过"),
    NA(3, "不适用");

    /**
     * 结果
     */
    private final Integer result;
    /**
     * 名称
     */
    private final String name;

    public static InspectionResultEnum valueOf(Integer result) {
        return Arrays.stream(values())
                .filter(item -> item.getResult().equals(result))
                .findFirst()
                .orElse(null);
    }

}
